<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKUsr2CalendarViewBase from './ibizbookusr2-calendar-view-base.vue';

import view_calendar from '@widgets/ibizbook/ibizbooktimeline-calendar/ibizbooktimeline-calendar.vue';
@Component({
    components: {
        view_calendar, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKUsr2CalendarView extends IBIZBOOKUsr2CalendarViewBase {

}
</script>